POST
/payment/zibapay/order/save-card/:referenceAPIAuthentication:Bearer token
Authorization: Bearer <token>Security requirement: 403 CSRF Protection
Direct server-to-server calls authenticated via Bearer tokens do not require CSRF headers. If you instead invoke mutation endpoints from a web browser using cookie-based sessions, you must include the following header:
X-Requested-With: XMLHttpRequestPath params
| Field | Type | Required | Description |
|---|---|---|---|
reference | string | Required | transactionReferenceId from the collect response, or the order reference. |
Response fields
| Field | Type | Presence | Description |
|---|---|---|---|
cardToken | string | Always returned | Reusable authorization token for recurring or one-click billing. |
last4 | string | Always returned | Last four digits of the saved payment card. |
brand | string | Always returned | Card network brand (e.g. Visa, Mastercard). |
expirymonth | string | Always returned | Card expiration month. |
expiryyear | string | Always returned | Card expiration year. |
Status codes
| HTTP Status | Meaning |
|---|---|
| 200 | Card saved and token generated. |
| 401 | No merchant session. |
Notes
- No request body. HTTP 200 returns the saved card token representation.